

## 문자발송자 변경 이란 ?

문자발송 소유자 변경을 통하여 문자 발송시 발생하는 비용과 내부 통제를 할 수 있습니다. 

- [서비스 리스트] - (!주의) 해당 업체에서 고객 등록 후 사용료를 선불하신 후 사용가능합니다. 

- (알리고: Aligo) https://smartsms.aligo.in


## 변경 절차 
1) 회원가입 및 비용 지불

2) 아이디/비번/API Key 설정합니다.

3) Frontend(Laravel PHP)의 서버 IP 를 알리고 서비스에 등록합니다.

   그렇지 않으면 서버의 IP가 차단되어 문자가 가지 않습니다. 

4) ERP 사용 비번과 API 키 변경 : ERP / 쇼핑몰 관리자에서 아래와 같이 변경합니다.

5) 추가 사용자 등록을 통하여 제대로 문자가 가는지 반드시 확인합니다. 





## Frontend(Laravel PHP) ERP 사용 비번과 API 키 변경 방법

1) 관리자매뉴 (매장관리 또는 설정관리 에서 ) 통합설정 - 조회선택 - 설정이름 선택 - 문자전송 입력 후 리스트 클릭하면

2) "문자전송(알리고)"가 리스트에 보입니다. 해당 "설정이름"을 항목을 클릭하면 입력 팝업 화면이 올라오는데

3) 알리고에서 제공된 API 키 와 UserId, Sender(모바일폰 번호)를 입력하면 됩니다. 그 이외의 항목들은 특수 용도에만
   
   사용하게 되므로 관여하지 않아도 됩니다.

4) 입력 후 저장 버튼을 클릭하면 DB에도 저장이 되지만 $HOME 폴더의 .env 화일에 아래와 같이 저장됩니다.

#### 
    # [SMS]
    SMS_TYPE=
    SMS_APIKEY=
    SMS_USER=
    SMS_SENDER=


5) .env 파일에 SMS_TYPE, SMS_APIKEY, SMS_USER, SMS_SENDER 입력한 값으로 변경 되었는지 확인합니다.

6) 만약 값 입력값 대로 변화되지 않으면  .env 화일 소유권/권한을 확인하여 수정하여 변경된 것이 저장될 수 있도록 하여야 합니다.

7) 해당 내용은 Frontend 패아지 전역에서 사용되고 필요시에는 Backend API 에서도 사용되므로 속도와 편의성을 감안하여 위와 같이 구성되었습니다.



