
##  1. How to install and run php-docker
 
####  # cd $HOME
####  # git clone http://git.daboryhost.com:10880/dabory/mybin
####  # export PATH=$PATH:$HOME/mybin

####  # mkdir -p $HOME/docker-works/php/
####  # cdphp 
####  # git clone http://git.daboryhost.com:10880/dabory/php-docker
####  # cd php-docker
####  Read reference manual to setup docker environment

####  # git clone http://git.daboryhost.com:10880/dabory/dbrerp
####  # cd dbrerp
####  Read reference manual to setup dbrerp environment

##  2. How to Setup theme folder
####  dbrerp has 2 different concept for controlling source code such as "standard" part and "theme" part. 


#### (1) THEME folder
$HOME/docker-works/php/{website-alias}/dbrerp/public/themes/ is theme forlder to be used customized part
"{website-alise}" is can be "php-docker" or specific names as such as "newerp-php73" when developers maintain multiple websites in local PC. In webhosting server, /home/{website-alias}/public_html/public/themes/

As git structure, "themes" folder is excluded by adding folder name in .gitignore file.

Under "themes" folder, it can have subfolder such as "pro" and "erp"
As the subfolder, "pro" is for Pro Page for consists of Service Pages (or Home Page) excluding User Pages(Admin page). Also "erp" indicates folder for User Pages(or Admin Pages) This is why "themes" folder have a sub git structure under root git struture. we call root git as "parent git" and theme git as "child git"

You can acquire folder name typing in cli : # cdpro {website-alise}
example for local PC: $ cdpro newerp-php73 (will show)
cd /Users/EricKim/docker-works/php/newerp-php73/dbrerp/public/themes/pro 

example for server : $ cdpro newerp (will show)
cd /home/newerp/public_html/public/themes/pro

example for local PC: $ cderp newerp-php73 (will show)
cd /Users/EricKim/docker-works/php/newerp-php73/dbrerp/public/themes/erp 

example for server : $ cdpro newerp (will show)
cd /home/newerp/public_html/public/themes/erp

#### (2) How to install THEME folder
http://git.daboryhost.com:10880/dbr-themes-pro
There are dbr-themes-pro themes to be selected for theme, choose one of them and git clone the url link.
cd {themes_folder/pro}
#### # git clone http://git.daboryhost.com:10880/dbr-themes-pro/erponly

As same way, http://git.daboryhost.com:10880/dbr-themes-erp
There are dbr-themes-erp themes to be selected for theme, choose one of them and git clone the url link.
#### # git clone http://git.daboryhost.com:10880/dbr-themes-erp/optical_pos

!! Important difference between "pro" and "erp" is that:
pro should be one, erp can be multiple because erp can have conbined features by business logic and workflows.

#### (3) How to GIT sync STANDARD/THEME folder with git server simultanously

example for local PC: 
cd $HOME/docker-works/php/ ( normally input cdphp)
all-gitpp {website-alias}

example for server :  
cd /home  (normally input cdz)
all-gitpp-host {website-alias}

These shell scripts run git sync with standard folder and change directory to themes folder of "pro" and "erp" and run sync for both of pro and erp folder to reduce time for total updates.

#### (4) How to sync THEME folder and .env file variables
You can easily find ERP_THEMES, PRO_THEME variables in 2nd, 3th lines of .env file.
You MUST syncronize the variable name and theme folder name as variable value.

##  3. How to start php-docker 
####  # cd $HOME/docker-works/php/php-docker
####  # dkrmcu-remove-containers-and-compose-up
1) This will delete all docker containers and restart container in local PC.

2) You don't need to anything after update git in server.

##  4. How to stop php-docker (delete all docker containers)
####  # cd $HOME/docker-works/php/php-docker
####  # docker rm -f $(docker ps -a -q)

.
## 4. Configuration
 
#### .env Location : $HOME/.env (Laravel Env variable and Dabory variable combined)
 
#### .env.dabory Location : $HOME/.env.dabory (Dabory API Connection and Token Keys)

#### Note1 : There are divided concepts of ERP / PRO in dabory solution from the other web/app solutions.
   ERP is for backoffice pages for company or organization staffs and managers (Extension of Admin Page)
   
   PRO is for frontoffice pages for guest and customer member who are outside of company or organization (Extension of Service Page)

#### Note2 : Dabory Media Library is inspired by Wordpress media library and extened for more wide range of use.

#### Note3 : All of variables "Laravel" sub item can be referred in website below.
    https://laravel.com/docs/7.x/configuration

### Important !! : In development or web design stage, You should set .env as follows:
1. BROWSER_CACHE=false
2. CSSJS_URL=local

This reduces website rendering speed, but changes in js script and css are fed to web pages in no time. 
 

## dbrerp 각 페이지 Route 리스트.

member-go-email
member-signup
member-verify-ok
member-verify-resend
password-reset
member-withdraw-cancel
member-login
member-signup-verify
member-activate-failed
password-reset-code-failed
member-device-block-failed
member-device-block-success
member-unlock
find-member-id-verify
find-member-id
find-member-pw-memcheck
find-member-pw-verify
password-change
member-withdrawal
my-page
member-edit

|    Type  |      Page Slug      | Usage                       | API Link | Remarks                                     |
|----------|-------------|-----------------------------|------|---------------------------------------------|
| 회원관리 | member-go-email| 회원등록 인증 이메일  | | erp 파라 커스텀할 때사                             |
|        | member-signup   | 회원등록   |   |      |
|        |   |   |   |      |
|        |   |   |   |      |
|        |   |   |   |      |
|        |   |   |   |      |
|        |   |   |   |      |
|        |   |   |   |      |
|        |   |   |   |      |
|        |   |   |   |      |                                       |
